Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3886 - slocate & updatedb return code and exit status
Summary: slocate & updatedb return code and exit status
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: findutils
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL: pushf@club-internet.fr
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-03 14:45 UTC by pushf
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-19 22:15:40 UTC


Attachments (Terms of Use)

Description pushf 1999-07-03 14:45:37 UTC
I am runnig under RH 6.0 and when root starts updatedb, the
exit status is always 1. Normally, it must be 0.
ex :
(root@foo)# updatedb

(root@foo)# echo $?
1
(root@foo)#

When I try with parameters like -u and -l 1 or -l 0, the
exit status is 1 yet.
When I try with slocate, the exit status is 1...

I just want to know if this problem comes from my system, or
the whole Redhat 6 has the same matter.

Thank.

Pierre-Frangois LAURAND
France

Comment 1 Bill Nottingham 1999-07-06 15:00:59 UTC
is it actually creating the database?
The exit code of 1 for slocate seems only to be used for
error conditions...

Comment 2 Bill Nottingham 1999-08-19 22:15:59 UTC
closed ; lack of input


Note You need to log in before you can comment on or make changes to this bug.